#ifndef __PP_HH__
#define __PP_HH__

#include <vector>
#include "tinst.hh"

class PowerProfile {

public:
  PowerProfile(int _omega, int _funits);
  ~PowerProfile();
  bool operator==(const PowerProfile &);

  std::vector< TargetInstruction * > instructions;
  std::vector< bool > activation_status;

};
#endif //__PP_HH__
